Redmine - Feature #4516

Cache gravatars
2010-01-04 14:49 - Felix Schafer

Status: New Start date: 2010-01-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

The gravatar feature is great, but gravatar.com itself tends to be slow, or at least slower/with higher latency than any of my 3 redmine
installs. Would it be possible to cache the gravatars locally in the redmine install? This could even go into public, as the gravatars a
readily available anyway, so there's no need for much security.

Maybe this would also make it easier to implement local avatars, as you'd already have a local directory with avatars.

Related issues:
Related to Redmine - Feature #2728: Offline Support New 2009-02-12

History

#1 - 2010-01-04 17:13 - cleiton capellossi

- Status changed from New to Resolved

#2 - 2010-01-04 17:30 - Felix Schéafer

| can't see how this is resolved... Care to explain, or even better, could anyone from the redmine team reopen this? Thanks!

#3 - 2010-01-05 19:11 - Jean-Philippe Lang

- Status changed from Resolved to New
#4 - 2010-01-07 12:01 - Daniel N
Felix Schéafer wrote:
The gravatar feature is great, but gravatar.com itself tends to be slow, or at least slower/with higher latency than any of my 3 redmine installs.

Would it be possible to cache the gravatars locally in the redmine install? This could even go into public, as the gravatars a readily available
anyway, so there's no need for much security.

| am actually seeing this in our local redmine install when using the gravatar feature. A cache feature would definitely increase the use of the gravatar
feature.

Maybe this would also make it easier to implement local avatars, as you'd already have a local directory with avatars.

This would be great.

+1

#5 - 2013-03-20 13:34 - Fernando Hartmann

+1

#6 - 2013-04-19 22:58 - Filou Centrinov
Related: #2728

#7 - 2013-04-22 11:28 - Terence Mill

Yes, tofay it'ss awful slow and makes the complete redmine nearla usuable.
